diff -r -Nup partitionmanager-1.0.0-1.fc11.src/partitionmanager.consoleapp partitionmanager-1.0.0-3.local12.src/partitionmanager.consoleapp
--- partitionmanager-1.0.0-1.fc11.src/partitionmanager.consoleapp	1970-01-01 03:00:00.000000000 +0300
+++ partitionmanager-1.0.0-3.local12.src/partitionmanager.consoleapp	2009-10-12 15:28:45.000000000 +0400
@@ -0,0 +1,3 @@
+USER=root
+PROGRAM=/usr/sbin/partitionmanager
+SESSION=yes
diff -r -Nup partitionmanager-1.0.0-1.fc11.src/partitionmanager.pam partitionmanager-1.0.0-3.local12.src/partitionmanager.pam
--- partitionmanager-1.0.0-1.fc11.src/partitionmanager.pam	1970-01-01 03:00:00.000000000 +0300
+++ partitionmanager-1.0.0-3.local12.src/partitionmanager.pam	2009-10-12 15:21:07.000000000 +0400
@@ -0,0 +1,4 @@
+#%PAM-1.0
+auth		include		config-util
+account		include		config-util
+session		include		config-util
diff -r -Nup partitionmanager-1.0.0-1.fc11.src/partitionmanager.spec partitionmanager-1.0.0-3.local12.src/partitionmanager.spec
--- partitionmanager-1.0.0-1.fc11.src/partitionmanager.spec	2009-10-05 02:04:21.000000000 +0400
+++ partitionmanager-1.0.0-3.local12.src/partitionmanager.spec	2009-10-12 16:01:41.000000000 +0400
@@ -1,26 +1,28 @@
 Name:           partitionmanager
 Version:        1.0.0
-Release:        1%{?dist}
+Release:        3%{?dist}
 Summary:        KDE filesystem and disk manager
 
 Group:          Applications/System
 License:        GPLv2+
 URL:            http://sourceforge.net/projects/partitionman/
 Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
+Source1:        partitionmanager.pam
+Source2:        partitionmanager.consoleapp
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-BuildRequires:  gcc-c++ cmake
-BuildRequires:  qt4-devel >= 4.4.0 kdelibs4-devel >= 4.1
+BuildRequires:  cmake
+BuildRequires:  qt4-devel kdelibs4-devel
 BuildRequires:  parted-devel
+%if 0%{?fedora} >= 12
+BuildRequires:  libuuid-devel libblkid-devel
+%endif
 BuildRequires:  gettext
 
-Requires:       kdelibs4 >= 4.1 qt4 >= 4.4.0
-Requires:       parted
 Requires:       hicolor-icon-theme
-Requires:       filesystem
 
 %description
-Easily manage disks, partitions and file systems on your KDE Desktop: Create, 
+Easily manage disks, partitions and file systems on your KDE Desktop: Create,
 resize, move, copy, back up, restore or delete partitions.
 
 %prep
@@ -30,7 +32,7 @@ resize, move, copy, back up, restore or 
 %build
 mkdir -p %{_target_platform}
 pushd %{_target_platform}
-%{cmake_kde4} ..
+%{cmake_kde4} -DBIN_INSTALL_DIR=%{_sbindir} ..
 popd
 
 make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1
@@ -41,6 +43,12 @@ rm -rf %{buildroot}
 mkdir %{buildroot}
 make install DESTDIR=%{buildroot} -C %{_target_platform}
 
+# Use ConsoleHelper
+install -Dpm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/%{name}
+install -Dpm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}
+install -dm 755 %{buildroot}%{_bindir}
+ln -s consolehelper %{buildroot}%{_bindir}/%{name}
+
 desktop-file-install --dir=%{buildroot}%{_kde4_datadir}/applications/kde4 \
 %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop
 
@@ -49,29 +57,37 @@ desktop-file-install --dir=%{buildroot}%
 %clean
 rm -rf %{buildroot}
 
-%post
-/sbin/ldconfig
+%post -p /sbin/ldconfig
 
-%postun
-/sbin/ldconfig
+%postun -p /sbin/ldconfig
 
 %files -f %{name}.lang
 %defattr(-,root,root,-)
 %doc CHANGES COPYING README
-%{_kde4_bindir}/partitionmanager                                                              
-%{_kde4_bindir}/partitionmanager-bin                                                          
-%{_kde4_libdir}/kde4/kcm_partitionmanager.so                                                  
-%{_kde4_libdir}/libpartitionmanagerprivate.so                                                 
-%{_kde4_datadir}/applications/kde4/partitionmanager.desktop                                  
-%{_kde4_iconsdir}/hicolor/128x128/apps/partitionmanager.png                             
-%{_kde4_iconsdir}/hicolor/16x16/apps/partitionmanager.png                               
-%{_kde4_iconsdir}/hicolor/22x22/apps/partitionmanager.png                               
-%{_kde4_iconsdir}/hicolor/32x32/apps/partitionmanager.png                               
-%{_kde4_iconsdir}/hicolor/48x48/apps/partitionmanager.png                               
-%{_kde4_iconsdir}/hicolor/64x64/apps/partitionmanager.png                               
-%{_kde4_datadir}/kde4/apps/partitionmanager/partitionmanagerui.rc                            
+%config(noreplace) %{_sysconfdir}/pam.d/%{name}
+%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
+%{_kde4_bindir}/partitionmanager
+%{_kde4_sbindir}/partitionmanager
+%{_kde4_sbindir}/partitionmanager-bin
+%{_kde4_libdir}/kde4/kcm_partitionmanager.so
+%{_kde4_libdir}/libpartitionmanagerprivate.so
+%{_kde4_datadir}/applications/kde4/partitionmanager.desktop
+%{_kde4_iconsdir}/hicolor/128x128/apps/partitionmanager.png
+%{_kde4_iconsdir}/hicolor/16x16/apps/partitionmanager.png
+%{_kde4_iconsdir}/hicolor/22x22/apps/partitionmanager.png
+%{_kde4_iconsdir}/hicolor/32x32/apps/partitionmanager.png
+%{_kde4_iconsdir}/hicolor/48x48/apps/partitionmanager.png
+%{_kde4_iconsdir}/hicolor/64x64/apps/partitionmanager.png
+%{_kde4_datadir}/kde4/apps/partitionmanager/partitionmanagerui.rc
 %{_kde4_datadir}/kde4/services/kcm_partitionmanager.desktop
 
 %changelog
+* Mon Oct 12 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.0.0-3
+- Use consolehelper
+
+* Sat Oct 10 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.0.0-2
+- Proper BR for F-12
+- Cosmetic fixes
+
 * Sun Oct 4 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 1.0.0-1
-- initial package
\ No newline at end of file
+- initial package
